Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.rtmp.status
Class RuntimeStatusObject

    java.lang.Object
      org.red5.server.net.rtmp.status.StatusObject
          org.red5.server.net.rtmp.status.RuntimeStatusObject

All Implemented Interfaces:
  Externalizable, Serializable, ICustomSerializable

    public class RuntimeStatusObject

extends StatusObject

Runtime status object

See Also:
  Serialized Form

Field Summary
`protected int` | `clientid` Client id
`protected String` | `details` Status event details

Fields inherited from class org.red5.server.net.rtmp.status.StatusObject
`additional, application, code, description, ERROR, level, STATUS, WARNING`

Constructor Summary
`RuntimeStatusObject()` Constructs a new RuntimeStatusObject.
`RuntimeStatusObject(String code, String level, String description)` Create runtime status object with given code, level and description
`RuntimeStatusObject(String code, String level, String description, String details, int clientid)` Create runtime status object with given code, level, description, details and client id

Method Summary
`int` | `getClientid()` Getter for client id
`String` | `getDetails()` Getter for details
`void` | `readExternal(ObjectInput in)`
`void` | `setClientid(int clientid)` Setter for client id
`void` | `setDetails(String details)` Setter for details
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.red5.server.net.rtmp.status.StatusObject
`asStatus, getApplication, getCode, getDescription, getLevel, serialize, setAdditional, setApplication, setCode, setDescription, setLevel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### details

    protected String details

  Status event details

### clientid

    protected int clientid

  Client id

Constructor Detail

### RuntimeStatusObject

    public RuntimeStatusObject()

  Constructs a new RuntimeStatusObject.

### RuntimeStatusObject

    public RuntimeStatusObject(String code,
                               String level,
                               String description)

  Create runtime status object with given code, level and description

  Parameters:
    `code` - Status code
    `level` - Level
    `description` - Status event description

### RuntimeStatusObject

    public RuntimeStatusObject(String code,
                               String level,
                               String description,
                               String details,
                               int clientid)

  Create runtime status object with given code, level, description, details and client id

  Parameters:
    `code` - Status code
    `level` - Level
    `description` - Status event description
    `details` - Status event details
    `clientid` - Client id

Method Detail

### getClientid

    public int getClientid()

  Getter for client id

  Returns:
    Client id

### setClientid

    public void setClientid(int clientid)

  Setter for client id

  Parameters:
    `clientid` - Client id

### getDetails

    public String getDetails()

  Getter for details

  Returns:
    Status event details

### setDetails

    public void setDetails(String details)

  Setter for details

  Parameters:
    `details` - Status event details

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `StatusObject`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `StatusObject`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project